#TagSelection
{
    position: absolute;

    left: 24%;
    top: 6.2%;
    z-index: 1;

    box-sizing: border-box;

    width: 35%;
    height: 57%;

    border: 2px solid #00ff00ee;

    background-color: #002200cc;

    overflow-y: auto;
}

#TagSelection #TagSelectionCloseButton
{
    margin-top: 1%;
    margin-right: 1%;

    float: right;

    box-sizing: border-box;

    width: 10%;
    height: 10%;

    border: 2px solid #ff0000aa;

    font-family: sans-serif, serif;
    font-size: 2.5vw;
    text-align: center;
    color: #888888;
    background-color: #ff000088;
}

#TagSelection #TagSelectionCloseButton:hover
{
    cursor: pointer;
    border: 2px solid #ff000055;
    background-color: #ff000044;
}

#TagSelection .video.tag, #TagSelectionRelated .video.tag
{
    display: inline-block;

    margin-left: 1%;
    margin-top: 1%;

    padding-left: 1%;
    padding-right: 2%;

    border-radius: 4px;

    font-size: 2.5vw;

    background-color: #ffffff88;
}

#TagSelection .video.tag:not(.selected), #TagSelectionRelated .video.tag:not(.selected)
{
    background-color: #ffffff44;
}

#TagSelection .video.tag:hover, #TagSelectionRelated .video.tag:hover
{
    cursor: pointer;

    background-color: #ffffff66;
}

#TagSelectionRelated
{
    position: absolute;

    left: 36.0%;
    top: 5.2%;

    width: 35.0%;
    height: 4.5%;

    padding-left: 8.5%;
}

#TagSelectionRelated .video.tag
{
    margin-top: 0.5%;
    font-size: 1.9vw;
}
